## EDBusAuthenticator EDBusAuthenticator |

## Functions

gboolean | e_dbus_authenticator_get_without_password ()
void | e_dbus_authenticator_set_without_password ()
gboolean | e_dbus_authenticator_call_ready_sync ()
void | e_dbus_authenticator_call_ready ()
gboolean | e_dbus_authenticator_call_ready_finish ()
void | e_dbus_authenticator_complete_ready ()
gboolean | e_dbus_authenticator_call_cancel_sync ()
void | e_dbus_authenticator_call_cancel ()
gboolean | e_dbus_authenticator_call_cancel_finish ()
void | e_dbus_authenticator_complete_cancel ()
gboolean | e_dbus_authenticator_call_accepted_sync ()
void | e_dbus_authenticator_call_accepted ()
gboolean | e_dbus_authenticator_call_accepted_finish ()
void | e_dbus_authenticator_complete_accepted ()
gboolean | e_dbus_authenticator_call_rejected_sync ()
void | e_dbus_authenticator_call_rejected ()
gboolean | e_dbus_authenticator_call_rejected_finish ()
void | e_dbus_authenticator_complete_rejected ()
void | e_dbus_authenticator_emit_authenticate ()
void | e_dbus_authenticator_emit_dismissed ()
void | e_dbus_authenticator_emit_server_error ()
GDBusInterfaceInfo * | e_dbus_authenticator_interface_info ()
guint | e_dbus_authenticator_override_properties ()
EDBusAuthenticator * | e_dbus_authenticator_proxy_new_sync ()
void | e_dbus_authenticator_proxy_new ()
EDBusAuthenticator * | e_dbus_authenticator_proxy_new_finish ()
EDBusAuthenticator * | e_dbus_authenticator_proxy_new_for_bus_sync ()
void | e_dbus_authenticator_proxy_new_for_bus ()
EDBusAuthenticator * | e_dbus_authenticator_proxy_new_for_bus_finish ()
EDBusAuthenticator * | e_dbus_authenticator_skeleton_new ()

## Properties

gboolean | without-password | Read / Write

## Signals

void | authenticate | Run Last
void | dismissed | Run Last
gboolean | handle-accepted | Run Last
gboolean | handle-cancel | Run Last
gboolean | handle-ready | Run Last
gboolean | handle-rejected | Run Last
void | server-error | Run Last

## Types and Values

| EDBusAuthenticator
struct | EDBusAuthenticatorProxy
struct | EDBusAuthenticatorSkeleton

## Object Hierarchy

        GInterface
        ╰── EDBusAuthenticator
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── EDBusAuthenticatorSkeleton
        ╰── GDBusProxy
            ╰── EDBusAuthenticatorProxy

## Prerequisites

EDBusAuthenticator requires GObject.

## Implemented Interfaces

EDBusAuthenticatorProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusAuthenticator.

EDBusAuthenticatorSkeleton implements GDBusInterface and EDBusAuthenticator.

## Known Implementations

EDBusAuthenticator is implemented by EDBusAuthenticatorProxy and EDBusAuthenticatorSkeleton.

## Description

## Functions

### e_dbus_authenticator_get_without_password ()

    gboolean
    e_dbus_authenticator_get_without_password
                                   (EDBusAuthenticator *object);

Gets the value of the "WithoutPassword" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusAuthenticator. |

#### Returns

The property value.

### e_dbus_authenticator_set_without_password ()

    void
    e_dbus_authenticator_set_without_password
                                   (EDBusAuthenticator *object,
                                    gboolean value);

Sets the "WithoutPassword" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusAuthenticator. |
value | The value to set. |

### e_dbus_authenticator_call_ready_sync ()

    gboolean
    e_dbus_authenticator_call_ready_sync (EDBusAuthenticator *proxy,
                                          const gchar *arg_encryption_key,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously invokes the `Ready()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_authenticator_call_ready()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
arg_encryption_key | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_authenticator_call_ready ()

    void
    e_dbus_authenticator_call_ready (EDBusAuthenticator *proxy,
                                     const gchar *arg_encryption_key,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously invokes the `Ready()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_authenticator_call_ready_finish()` to get the result of the operation.

See `e_dbus_authenticator_call_ready_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
arg_encryption_key | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_authenticator_call_ready_finish ()

    gboolean
    e_dbus_authenticator_call_ready_finish
                                   (EDBusAuthenticator *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_authenticator_call_ready()`.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_authenticator_call_ready()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_authenticator_complete_ready ()

    void
    e_dbus_authenticator_complete_ready (EDBusAuthenticator *object,
                                         GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Ready()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusAuthenticator. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_authenticator_call_cancel_sync ()

    gboolean
    e_dbus_authenticator_call_cancel_sync (EDBusAuthenticator *proxy,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously invokes the `Cancel()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_authenticator_call_cancel()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_authenticator_call_cancel ()

    void
    e_dbus_authenticator_call_cancel (EDBusAuthenticator *proxy,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously invokes the `Cancel()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_authenticator_call_cancel_finish()` to get the result of the operation.

See `e_dbus_authenticator_call_cancel_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_authenticator_call_cancel_finish ()

    gboolean
    e_dbus_authenticator_call_cancel_finish
                                   (EDBusAuthenticator *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_authenticator_call_cancel()`.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_authenticator_call_cancel()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_authenticator_complete_cancel ()

    void
    e_dbus_authenticator_complete_cancel (EDBusAuthenticator *object,
                                          GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Cancel()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusAuthenticator. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_authenticator_call_accepted_sync ()

    gboolean
    e_dbus_authenticator_call_accepted_sync
                                   (EDBusAuthenticator *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Accepted()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_authenticator_call_accepted()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_authenticator_call_accepted ()

    void
    e_dbus_authenticator_call_accepted (EDBusAuthenticator *proxy,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `Accepted()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_authenticator_call_accepted_finish()` to get the result of the operation.

See `e_dbus_authenticator_call_accepted_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_authenticator_call_accepted_finish ()

    gboolean
    e_dbus_authenticator_call_accepted_finish
                                   (EDBusAuthenticator *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_authenticator_call_accepted()`.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_authenticator_call_accepted()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_authenticator_complete_accepted ()

    void
    e_dbus_authenticator_complete_accepted
                                   (EDBusAuthenticator *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Accepted()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusAuthenticator. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_authenticator_call_rejected_sync ()

    gboolean
    e_dbus_authenticator_call_rejected_sync
                                   (EDBusAuthenticator *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Rejected()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_authenticator_call_rejected()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_authenticator_call_rejected ()

    void
    e_dbus_authenticator_call_rejected (EDBusAuthenticator *proxy,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `Rejected()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_authenticator_call_rejected_finish()` to get the result of the operation.

See `e_dbus_authenticator_call_rejected_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_authenticator_call_rejected_finish ()

    gboolean
    e_dbus_authenticator_call_rejected_finish
                                   (EDBusAuthenticator *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_authenticator_call_rejected()`.

#### Parameters

proxy | A EDBusAuthenticatorProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_authenticator_call_rejected()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_authenticator_complete_rejected ()

    void
    e_dbus_authenticator_complete_rejected
                                   (EDBusAuthenticator *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Rejected()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusAuthenticator. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_authenticator_emit_authenticate ()

    void
    e_dbus_authenticator_emit_authenticate
                                   (EDBusAuthenticator *object,
                                    const gchar *arg_encrypted_secret);

Emits the "Authenticate" D-Bus signal.

#### Parameters

object | A EDBusAuthenticator. |
arg_encrypted_secret | Argument to pass with the signal. |

### e_dbus_authenticator_emit_dismissed ()

    void
    e_dbus_authenticator_emit_dismissed (EDBusAuthenticator *object);

Emits the "Dismissed" D-Bus signal.

#### Parameters

object | A EDBusAuthenticator. |

### e_dbus_authenticator_emit_server_error ()

    void
    e_dbus_authenticator_emit_server_error
                                   (EDBusAuthenticator *object,
                                    const gchar *arg_name,
                                    const gchar *arg_message);

Emits the "ServerError" D-Bus signal.

#### Parameters

object | A EDBusAuthenticator. |
arg_name | Argument to pass with the signal. |
arg_message | Argument to pass with the signal. |

### e_dbus_authenticator_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_authenticator_interface_info (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.Authenticator D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### e_dbus_authenticator_override_properties ()

    guint
    e_dbus_authenticator_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusAuthenticator interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### e_dbus_authenticator_proxy_new_sync ()

    EDBusAuthenticator *
    e_dbus_authenticator_proxy_new_sync (GDBusConnection *connection,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Authenticator. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_authenticator_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusAuthenticatorProxy]

### e_dbus_authenticator_proxy_new ()

    void
    e_dbus_authenticator_proxy_new (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Authenticator. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_authenticator_proxy_new_finish()` to get the result of the operation.

See `e_dbus_authenticator_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_authenticator_proxy_new_finish ()

    EDBusAuthenticator *
    e_dbus_authenticator_proxy_new_finish (GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `e_dbus_authenticator_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_authenticator_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusAuthenticatorProxy]

### e_dbus_authenticator_proxy_new_for_bus_sync ()

    EDBusAuthenticator *
    e_dbus_authenticator_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_authenticator_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_authenticator_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusAuthenticatorProxy]

### e_dbus_authenticator_proxy_new_for_bus ()

    void
    e_dbus_authenticator_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_authenticator_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_authenticator_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_authenticator_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_authenticator_proxy_new_for_bus_finish ()

    EDBusAuthenticator *
    e_dbus_authenticator_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_authenticator_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_authenticator_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusAuthenticatorProxy]

### e_dbus_authenticator_skeleton_new ()

    EDBusAuthenticator *
    e_dbus_authenticator_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.Authenticator.

#### Returns

The skeleton object.

[transfer full][type EDBusAuthenticatorSkeleton]

## Types and Values

### EDBusAuthenticator

    typedef struct _EDBusAuthenticator EDBusAuthenticator;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.Authenticator.

### struct EDBusAuthenticatorProxy

    struct EDBusAuthenticatorProxy;

The EDBusAuthenticatorProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusAuthenticatorSkeleton

    struct EDBusAuthenticatorSkeleton;

The EDBusAuthenticatorSkeleton structure contains only private data and should only be accessed using the provided API.

## Property Details

### The `“without-password”` property

      “without-password”         gboolean

Represents the D-Bus property "WithoutPassword".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“authenticate”` signal

    void
    user_function (EDBusAuthenticator *object,
                   gchar              *arg_encrypted_secret,
                   gpointer            user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "Authenticate" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A EDBusAuthenticator. |
arg_encrypted_secret | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“dismissed”` signal

    void
    user_function (EDBusAuthenticator *object,
                   gpointer            user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "Dismissed" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A EDBusAuthenticator. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“handle-accepted”` signal

    gboolean
    user_function (EDBusAuthenticator    *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Accepted()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_authenticator_complete_accepted()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusAuthenticator. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-cancel”` signal

    gboolean
    user_function (EDBusAuthenticator    *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Cancel()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_authenticator_complete_cancel()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusAuthenticator. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-ready”` signal

    gboolean
    user_function (EDBusAuthenticator    *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_encryption_key,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Ready()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_authenticator_complete_ready()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusAuthenticator. |
invocation | A GDBusMethodInvocation. |
arg_encryption_key | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-rejected”` signal

    gboolean
    user_function (EDBusAuthenticator    *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Rejected()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_authenticator_complete_rejected()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusAuthenticator. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“server-error”` signal

    void
    user_function (EDBusAuthenticator *object,
                   gchar              *arg_name,
                   gchar              *arg_message,
                   gpointer            user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "ServerError" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A EDBusAuthenticator. |
arg_name | Argument. |
arg_message | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last